/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry.cli.pref.exception;

/**
 * Credentials are incomplete: add the password or remove the user
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class MissingPasswordException extends IncompleteCredentialsException {
    
    private static final long serialVersionUID = 4442156907261864234L;

    public final static String MESSAGE_PATTERN = "The credentials for '%s' are invalid: add the password or remove the user.";

    public MissingPasswordException(final String alias) {
        super(String.format(MESSAGE_PATTERN, alias), alias);
    }

}
